Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoInit< EOT > Class Template Reference

Base (name) class for Initialization of chromosomes, used in a population contructor. More...

`#include <eoInit.h>`

Inheritance diagram for eoInit< EOT >:

List of all members.

## Public Member Functions
virtual std::string | className (void) const
| className: Mandatory because of eoCombinedInit.

## Detailed Description

### template<class EOT>
class eoInit< EOT >

Base (name) class for Initialization of chromosomes, used in a population contructor.

It is derived from eoMonOp, so it can be used inside the algorithm as well.

See also:
  eoPop

Definition at line 45 of file eoInit.h.

## Member Function Documentation

template<class EOT>
virtual std::string eoInit< EOT >::className | ( | void |  | ) | const`[inline, virtual]`

| className: Mandatory because of eoCombinedInit. SHould be pure virtual, but then we should go over the whole code to write the method for all derived classes ... MS 16/7/04 Reimplemented in eoCombinedInit< EOT >, eoPBILDistrib< EOT >, eoParseTreeDepthInit< FType, Node >, and eoStParseTreeDepthInit< FType, Node >. Definition at line 52 of file eoInit.h.

The documentation for this class was generated from the following file:

- eoInit.h